> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# Get requests by requestId



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json post /api/v1/organizations/{organizationId}/requests
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/requests:
    post:
      tags:
        - Requests
      summary: Get requests by requestId
      operationId: publicGetRequest
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: lang
          required: false
          in: query
          schema:
            $ref: '#/components/schemas/Locale'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/PublicGetIggreRequestWithRequestIdDto'
                - $ref: >-
                    #/components/schemas/PublicGetIggreRequestWithWorkflowRunIdAndStatusDto
                - $ref: >-
                    #/components/schemas/PublicGetIggreRequestWithPeopleIdAndSuperTypeDto
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGetIggreRequestsResponseDto'
        '429':
          description: ''
      security:
        - API-Key: []
components:
  schemas:
    Locale:
      type: string
      enum:
        - en
        - ja
    PublicGetIggreRequestWithRequestIdDto:
      type: object
      properties:
        requestId:
          type: string
          format: uuid
          example: 123e4567-e89b-12d3-a456-426614174000
      required:
        - requestId
    PublicGetIggreRequestWithWorkflowRunIdAndStatusDto:
      type: object
      properties:
        limit:
          type: number
          example: 50
          maximum: 200
          description: Limit the number of results returned. Maximum 200.
        cursor:
          type: string
          description: Cursor to paginate through results.
        workflowRunId:
          type: string
          format: uuid
          example: 123e4567-e89b-12d3-a456-426614174000
        status:
          example: pending
          allOf:
            - $ref: '#/components/schemas/AggreRequestStatus'
      required:
        - workflowRunId
    PublicGetIggreRequestWithPeopleIdAndSuperTypeDto:
      type: object
      properties:
        limit:
          type: number
          example: 50
          maximum: 200
          description: Limit the number of results returned. Maximum 200.
        cursor:
          type: string
          description: Cursor to paginate through results.
        peopleId:
          type: number
        superType:
          example: deprovision
          allOf:
            - $ref: '#/components/schemas/AggreRequestSuperType'
      required:
        - peopleId
        - superType
    PublicGetIggreRequestsResponseDto:
      type: object
      properties:
        items:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/PublicIggreRequestDto'
        meta:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/CursorPaginationMeta'
      required:
        - items
        - meta
    AggreRequestStatus:
      type: string
      enum:
        - pending
        - processing
        - finished
        - finishedWithErrors
        - failed
    AggreRequestSuperType:
      type: string
      enum:
        - fetch
        - provision
        - deprovision
        - file-aggregation
        - remove
    PublicIggreRequestDto:
      type: object
      properties:
        requestId:
          type: string
          readOnly: true
          format: uuid
          example: 0da0bb7e-fe60-4b07-8bd1-f5c583ac84f6
        status:
          readOnly: true
          example: pending
          allOf:
            - $ref: '#/components/schemas/AggreRequestStatus'
        rawMessage:
          type: string
          nullable: true
          readOnly: true
          example: Email a@b.com belongs to Account ax-ax-ax-ax
        message:
          type: string
          nullable: true
          readOnly: true
          example: An account with this email already exists
        data:
          type: object
          additionalProperties: true
      required:
        - requestId
        - status
        - rawMessage
        - message
        - data
    CursorPaginationMeta:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
          readOnly: true
          example: F3UdkoSbpBNrjwP93AX2HQ
        totalItems:
          type: number
          nullable: true
          readOnly: true
          example: 1
      required:
        - nextCursor
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````